public interface Request {

    public void setCommand(String cmdLine);
    public void setHeaderKeyValue(String keyValueLine);
    public void setPayload(byte [] payload);
    public String getFileName();
    public String getCommand();
    public String getCommandURI();
    public String getHttpVersion();

    public String getHeaderValue(String headerName);
    public int getContentLength();
    public String getPayloadAsString();
    public byte [] getPayloadBytes();

}